import gtk, hildon
from gnome import gconf
import webbrowser
import osso

def _(str):
    return str

_gc = gconf.client_get_default()
parent = gtk.Window()

def launch_browser():
    url = _gc.get_string('/apps/maemo/wbl/url_to_open')
    osso_context = osso.Context("org.maemo.touchsearch", "1.1", False)
    osso_rpc = osso.Rpc(osso_context)
    osso_rpc.rpc_run_with_defaults("osso_browser", "open_new_window", (url,))

def show_decision_dialog(ssid):
    dialog = gtk.Dialog(ssid, parent)
    dialog.vbox.set_homogeneous(False)
    
    dialog.add_button(_('No'), gtk.RESPONSE_NO)
    dialog.add_button(_('Yes'), gtk.RESPONSE_YES)
    
    label = gtk.Label(_('New network connection established - do you wish to launch a browser?'))
    label.set_line_wrap(True)
    #label.set_justify(gtk.JUSTIFY_LEFT)
    #label.set_alignment(0, 0.5)
    dialog.vbox.add(label)

    checkbox = hildon.CheckButton(gtk.HILDON_SIZE_FINGER_HEIGHT)
    checkbox.set_label(_('Remember this decision'))
    checkbox.set_active(True)
    dialog.vbox.add(checkbox)
    
    dialog.show_all()
    result = dialog.run()
    dialog.hide()
    
    launchBrowser = (result == gtk.RESPONSE_YES)
    if (checkbox.get_active()):
        _gc.set_bool('/apps/maemo/wbl/launch/' + ssid, launchBrowser)
    
    return launchBrowser

def connection_established(ssid):
    value = _gc.get_without_default('/apps/maemo/wbl/launch/' + ssid)
    print value
    if value is None:
        if show_decision_dialog(ssid):
            launch_browser()
        return

    if value.get_bool():
        launch_browser()
 
import sys
connection_established(sys.argv[1])
